/* stsallutil.h */
/* Ian Scott (ian@norcimo.com)*/
/* v3.0 (April 2003) */

/* You may freely copy, redistribute and modify this code for non-commercial purposes provided you acknowledge the original author and make freely available, under identical conditions and restrictions, all code thus produced  */

/* Header file for stsallutil.c */

#define MAXPT 10000
void nrerror(char error_text[]);
float *vector(int nl, int nh);
void free_vector(float *v, int nl, int nh);
void setzero(float x[],float f[],int n);
void broaden(float x[],float f[],float dx,int n);
void diff(float x[],float f[],float dfdx[],float nx[],int n);
void normalise(float x[],float f[],int n,float nx[],float nf[],int nn);
void splint(float *xa, float *ya, float *y2a, int n, float x,float *y);
void spline(float *x, float *y, int n, float yp1, float ypn, float *y2);
void sort2(int n, float ra[], float rb[]);
void polint(float xa[],float ya[],int n,float x,float *y,float *dy);
void convlv(float data[], int n, float respns[], int m, float isign, float ans[]);
void realft(float data[], int n, int isign);
void twofft(float data1[], float data2[],float fft1[], float fft2[], int n);
void four1(float data[], int nn, int isign);
char* ims_itoa(int integer);
void switches(int* flags, int* offset, int argc, char* argv[]);